commit:     4465deaade11516cd3f00aa4895b13e7a079c5d7
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May 16 05:06:33 2023 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May 16 05:06:33 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4465deaa

dev-python/stevedore: Bump to 5.1.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/stevedore/Manifest               |  1 +
 dev-python/stevedore/stevedore-5.1.0.ebuild | 45 +++++++++++++++++++++++++++++
 2 files changed, 46 insertions(+)

diff --git a/dev-python/stevedore/Manifest b/dev-python/stevedore/Manifest
index 13d31f272a68..0f6a05e1f527 100644
--- a/dev-python/stevedore/Manifest
+++ b/dev-python/stevedore/Manifest
@@ -1 +1,2 @@
 DIST stevedore-5.0.0.tar.gz 513970 BLAKE2B 
e1135a281c88633daed4ec41a5bb66c3bf2ed2275a3502fbc90b6ba09ac55693e5c98a0af49d948adf141812e195dfdb6a293021405abdba962c05ff506a1879
 SHA512 
4041172deba14b8e33cb48d8b629810e66a52e1676a989417c1b896930e980e0057efbf8f9b6b9c4c82ffce02b132b8e6c5f7a5b02e49d7c7c242ab4a20bac02
+DIST stevedore-5.1.0.tar.gz 514100 BLAKE2B 
f12e0eaa0c3d4bfa334a89ced740277bd2979e7ff48c7bc36bd85d801d0d2dd92f2f8cf7ef29b8fb61a5361a655c6a5303ad6f6aa2666fb57ebcee209ac0c344
 SHA512 
d7ad920961c9f4055cb145c84578f09f0af93eadf82f60bd7903dfc909cc2cdb64159d9b9b1469eb04569705f4208b667ded5aab17e97bba5dd7310263f449de

diff --git a/dev-python/stevedore/stevedore-5.1.0.ebuild 
b/dev-python/stevedore/stevedore-5.1.0.ebuild
new file mode 100644
index 000000000000..7169dafafa78
--- /dev/null
+++ b/dev-python/stevedore/stevedore-5.1.0.ebuild
@@ -0,0 +1,45 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..11} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Manage dynamic plugins for Python applications"
+HOMEPAGE="
+       https://opendev.org/openstack/stevedore/
+       https://github.com/openstack/stevedore/
+       https://pypi.org/project/stevedore/
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc64 ~riscv ~s390 
~sparc ~x86"
+
+BDEPEND="
+       >=dev-python/pbr-2.0.0[${PYTHON_USEDEP}]
+       test? (
+               dev-python/sphinx[${PYTHON_USEDEP}]
+               dev-python/testtools[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_tests unittest
+distutils_enable_sphinx 'doc/source' \
+       '>=dev-python/openstackdocstheme-1.18.1' \
+       '>=dev-python/reno-2.5.0' \
+       '>=dev-python/sphinx-2.0.0'
+
+python_prepare_all() {
+       # Delete spurious data in requirements.txt
+       sed -e '/^pbr/d' -i requirements.txt || die
+
+       # Also known problem, inside venv
+       sed -i -e 's:test_disable_caching_file:_&:' \
+               stevedore/tests/test_cache.py || die
+
+       distutils-r1_python_prepare_all
+}

Reply via email to